#!/usr/bin/env bash

{{ template "setup.tmpl" . }}

{{if .Param "linux/usermod-skip" -}}
echo "Skipping usermod task"
exit
{{else -}}

MY_UID="{{if .ParamExists "provisioner-default-uid"}}{{.Param "provisioner-default-uid"}}{{else}}1000{{end}}"
MY_USER="{{if .ParamExists "provisioner-default-user"}}{{.Param "provisioner-default-user"}}{{else}}rocketskates{{end}}"

echo "Running usermod task to set ${MY_USER} id to ${MY_UID}"
usermod -u ${MY_UID} ${MY_USER}
{{end -}}
